Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Insights
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
        GET
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Insights

GET a list of ADB intervals

GET
/clients/{clientno}/insights/adb/intervals
Get a list of cached ADB (Age Distributed Balance) intervals with relevant values. Items not due will be counted in interval no 0. Then follows 5 intervals (no 1 - 5) with the following lengths (days): 30, 30, 30, 90, 180. The last interval (no 6) is of indefinite length.
Fictitious matching will be performed before items are reported, i.e. unmatched credit balance items will be fictitiously matched against oldest open debit balance items on the same customer (AR account no). Remaining credit balance items will be counted as not due. Items in an interval can be fetched using GET .../aritems?reporttype=adbdetails&adbinterval=X (where X is the interval no).
Since producing the ADB intervals overview requires significant resources, it is cached daily upon the first request.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
ADB intervals found
Headers

Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//insights/adb/intervals?options&customerno&accountno' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get ADB intervals
{
    "summary": {
        "totalCount": 2
    },
    "adb": {
        "clientNo": 2218,
        "cachedTime": "2026-03-16T06:00:00.000+01:00",
        "intervals": [
            {
                "intervalNo": 0,
                "itemCount": 7,
                "sumGlBalance": 537.25,
                "daysInInterval": 0,
                "description": "Not due",
                "oldestDate": "2026-03-16",
                "newestDate": "2100-01-01",
                "lowestDayNo": 0,
                "highestDayNo": 0
            },
            {
                "intervalNo": 1,
                "itemCount": 13,
                "sumGlBalance": 1337.55,
                "daysInInterval": 30,
                "description": "1 - 30",
                "oldestDate": "2026-02-14",
                "newestDate": "2026-03-15",
                "lowestDayNo": 1,
                "highestDayNo": 30
            }
        ]
    }
}
Modified at 2026-04-14 09:49:15
Previous
GET a list of GL movements/balances
Next
GET one log item
Built with